package com.alibaba.druid.sql.dialect.db2.ast.stmt;

import com.alibaba.druid.DbType;
import com.alibaba.druid.sql.ast.SQLExpr;
import com.alibaba.druid.sql.ast.SQLStatementImpl;
import com.alibaba.druid.sql.ast.statement.SQLAlterStatement;
import com.alibaba.druid.sql.dialect.db2.visitor.DB2ASTVisitor;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class DB2AlterSystemKillSessionStatement extends SQLStatementImpl implements DB2SQLStatement, SQLAlterStatement {
   private boolean immediate;
   private SQLExpr configParameter;

   public DB2AlterSystemKillSessionStatement() {
      this.dbType = DbType.db2;
   }

   public boolean isImmediate() {
      return this.immediate;
   }

   public void setImmediate(boolean immediate) {
      this.immediate = immediate;
   }

   public SQLExpr getConfigParameter() {
      return this.configParameter;
   }

   public void setConfigParameter(SQLExpr configParameter) {
      this.configParameter = configParameter;
   }

   protected void accept0(SQLASTVisitor visitor) {
      this.accept0((DB2ASTVisitor)visitor);
   }

   public void accept0(DB2ASTVisitor visitor) {
      if (visitor.visit(this)) {
      }

      visitor.endVisit(this);
   }
}
